Posted at

anyenvを使ってる場合のruby-buildの更新方法

More than 3 years have passed since last update.


問題

anyenvを使ってるんですが、rubyの特定のverが欲しいのにどうやってもrbenv install -lに出てこなくて困った


解決法

普通にruby-buildを更新すればいいのだが、anyenvを使ってる場合はanyenv内のruby-buildを更新してる必要があった

具体的には以下をやればおk

$ cd ~/.anyenv/envs/rbenv/plugins/ruby-build && git pull origin master


何がいけなかったか

brewでruby-buildがなぜか入ってて、brewで入れた方をupgradeしても更新されないのでハマった

辛い